net.sf.saxon.tree.tiny

## Class TinyTextImpl

- java.lang.Object
- - net.sf.saxon.tree.tiny.TinyNodeImpl
  - - net.sf.saxon.tree.tiny.TinyTextImpl

- All Implemented Interfaces:
    Source, SourceLocator, PullEvent, FingerprintedNode, Item, NodeInfo, Sequence

      public final class TinyTextImpl
      extends TinyNodeImpl

  A node in the XML parse tree representing character content
  Author:
    Michael H. Kay

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.tiny.TinyNodeImpl

      `NODE_LETTER, nodeNr, parent, tree`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `ALL_NAMESPACES, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TinyTextImpl(TinyTree tree, int nodeNr)` Create a text node

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AtomicSequence` | `atomize()` Get the typed value.
    `void` | `copy(Receiver out, int copyOptions, int locationId)` Copy this node to a given outputter
    `int` | `getNodeKind()` Return the type of node.
    `String` | `getStringValue()` Return the character value of the node.
    `static CharSequence` | `getStringValue(TinyTree tree, int nodeNr)` Static method to get the string value of a text node without first constructing the node object
    `CharSequence` | `getStringValueCS()` Get the value of the item as a CharSequence.

    - ### Methods inherited from class net.sf.saxon.tree.tiny.TinyNodeImpl

      `compareOrder, comparePosition, equals, generateId, getAttributeValue, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeNumber, getParent, getPrefix, getPublicId, getRoot, getSchemaType, getSequenceNumber, getSystemId, getTree, getTypeAnnotation, getURI, hasChildNodes, hashCode, head, isAncestorOrSelf, isId, isIdref, isNilled, isSameNodeInfo, iterate, iterateAxis, iterateAxis, setParentNode, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TinyTextImpl

          public TinyTextImpl(TinyTree tree,
                      int nodeNr)

      Create a text node
      Parameters:
        `tree` - the tree to contain the node
        `nodeNr` - the internal node number

  - ### Method Detail

    - #### getStringValue

          public String getStringValue()

      Return the character value of the node.
      Returns:
        the string value of the node
      See Also:
        `Item.getStringValueCS()`

    - #### getStringValueCS

          public CharSequence getStringValueCS()

      Get the value of the item as a CharSequence. This is in some cases more efficient than the version of the method that returns a String.
      Specified by:
        `getStringValueCS` in interface `Item`
      Overrides:
        `getStringValueCS` in class `TinyNodeImpl`
      Returns:
        the string value of the item
      See Also:
        `Item.getStringValue()`

    - #### getStringValue

          public static CharSequence getStringValue(TinyTree tree,
                                    int nodeNr)

      Static method to get the string value of a text node without first constructing the node object
      Parameters:
        `tree` - the tree
        `nodeNr` - the node number of the text node
      Returns:
        the string value of the text node

    - #### getNodeKind

          public final int getNodeKind()

      Return the type of node.
      Returns:
        Type.TEXT
      See Also:
        `Type`

    - #### copy

          public void copy(Receiver out,
                  int copyOptions,
                  int locationId)
                    throws XPathException

      Copy this node to a given outputter
      Parameters:
        `out` - the Receiver to which the node should be copied. It is the caller's responsibility to ensure that this Receiver is open before the method is called (or that it is self-opening), and that it is closed after use.
        `copyOptions` - a selection of the options defined in `CopyOptions`
        `locationId` - If non-zero, identifies the location of the instruction that requested this copy. If zero, indicates that the location information
      Throws:
        `XPathException` - if any downstream error occurs

    - #### atomize

          public AtomicSequence atomize()
                                 throws XPathException

      Get the typed value. The result of this method will always be consistent with the method `net.sf.saxon.om.Item#getTypedValue()`. However, this method is often more convenient and may be more efficient, especially in the common case where the value is expected to be a singleton.
      Returns:
        the typed value. It will be a Value representing a sequence whose items are atomic values.
      Throws:
        `XPathException` - if the node has no typed value, for example if it is an element node with element-only content
      Since:
        8.5

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.